searchNodes=[{"ref":"MetaLogger.html","title":"MetaLogger","type":"module","doc":"A logger wrapper to keep logger metadata of caller processes."},{"ref":"MetaLogger.html#debug/2","title":"MetaLogger.debug/2","type":"function","doc":"Logs a debug message keeping logger metadata from caller processes. Returns :ok or an {:error, reason} tuple. Examples MetaLogger.debug(&quot;hello?&quot;) MetaLogger.debug(fn -&gt; &quot;dynamically calculated debug&quot; end) MetaLogger.debug(fn -&gt; {&quot;dynamically calculated debug&quot;, [additional: :metadata]} end)"},{"ref":"MetaLogger.html#error/2","title":"MetaLogger.error/2","type":"function","doc":"Logs a error message keeping logger metadata from caller processes. Returns :ok or an {:error, reason} tuple. Examples MetaLogger.error(&quot;hello?&quot;) MetaLogger.error(fn -&gt; &quot;dynamically calculated debug&quot; end) MetaLogger.error(fn -&gt; {&quot;dynamically calculated error&quot;, [additional: :metadata]} end)"},{"ref":"MetaLogger.html#info/2","title":"MetaLogger.info/2","type":"function","doc":"Logs a info message keeping logger metadata from caller processes. Returns :ok or an {:error, reason} tuple. Examples MetaLogger.info(&quot;hello?&quot;) MetaLogger.info(fn -&gt; &quot;dynamically calculated debug&quot; end) MetaLogger.info(fn -&gt; {&quot;dynamically calculated info&quot;, [additional: :metadata]} end)"},{"ref":"MetaLogger.html#log/3","title":"MetaLogger.log/3","type":"function","doc":"Logs a message with given level keeping logger metadata from caller processes. Returns :ok or an {:error, reason} tuple. Examples MetaLogger.log(:info, &quot;mission accomplished&quot;) MetaLogger.log(:error, fn -&gt; &quot;dynamically calculated info&quot; end) MetaLogger.log(:warn, fn -&gt; {&quot;dynamically calculated info&quot;, [additional: :metadata]} end)"},{"ref":"MetaLogger.html#warn/2","title":"MetaLogger.warn/2","type":"function","doc":"Logs a warn message keeping logger metadata from caller processes. Returns :ok or an {:error, reason} tuple. Examples MetaLogger.warn(&quot;hello?&quot;) MetaLogger.warn(fn -&gt; &quot;dynamically calculated debug&quot; end) MetaLogger.warn(fn -&gt; {&quot;dynamically calculated warn&quot;, [additional: :metadata]} end)"},{"ref":"MetaLogger.html#t:chardata_or_fun/0","title":"MetaLogger.chardata_or_fun/0","type":"type","doc":""},{"ref":"MetaLogger.html#t:metadata/0","title":"MetaLogger.metadata/0","type":"type","doc":""},{"ref":"Tesla.Middleware.MetaLogger.html","title":"Tesla.Middleware.MetaLogger","type":"module","doc":"Tesla middleware to log requests and responses. You can pass the options to the middleware or to the request Tesla.Env, env options takes precedence over middleware options. Example usage defmodule MyClient do use Tesla plug Tesla.Middleware.MetaLogger, filter_headers: [&quot;authorization&quot;], log_level: :debug, log_tag: MyApp end Options :filter_headers - The headers that should not be logged, the values will be replaced with [FILTERED], defaults to: []. :log_level - The log level to be used, defaults to: :info. Responses with HTTP status 400 and above will be logged with :error, and redirect with :warn. :log_tag - The log tag to be prefixed in the logs, default to: Tesla.Middleware.MetaLogger."},{"ref":"readme.html","title":"MetaLogger","type":"extras","doc":"MetaLogger Wrapper for Elixir.Logger that keeps logger metadata from caller processes."},{"ref":"readme.html#installation","title":"MetaLogger - Installation","type":"extras","doc":"MetaLogger requires Elixir 1.10 or greater. For previous versions use MetaLogger 0.1.0. The package is available in Hex, and can be installed by adding meta_logger to your list of dependencies in mix.exs: def deps do [ {:meta_logger, &quot;~&gt; 1.1.0&quot;} ] end Documentation is generated with ExDoc and published on HexDocs. The docs can be found at https://hexdocs.pm/meta_logger."},{"ref":"readme.html#usage","title":"MetaLogger - Usage","type":"extras","doc":"Just replace Logger with MetaLogger, there&#39;s no need to require it before using: MetaLogger.[debug|error|info|log|warn](...)"},{"ref":"readme.html#tesla-middleware","title":"MetaLogger - Tesla Middleware","type":"extras","doc":"Logs requests and responses."},{"ref":"readme.html#installation","title":"MetaLogger - Installation","type":"extras","doc":"Optionally MetaLogger requires another two dependencies, if you want to use the Tesla middleware, add those dependencies to your mix.exs: def deps do [ {:tesla, &quot;~&gt; 1.4&quot;}, {:miss, &quot;~&gt; 0.1&quot;}, ] end Example usage defmodule MyClient do use Tesla plug \#{inspect(__MODULE__)}, filter_headers: [&quot;authorization&quot;], log_level: :debug, log_tag: MyApp end Options :filter_headers - The headers that should not be logged, the values will be replaced with [FILTERED], defaults to: []. :log_level - The log level to be used, defaults to: :info. Responses with HTTP status 400 and above will be logged with :error, and redirect with :warn. :log_tag - The log tag to be prefixed in the logs, default to: \#{inspect(__MODULE__)}."},{"ref":"readme.html#release","title":"MetaLogger - Release","type":"extras","doc":"After merge a new feature/bug you can bump and publish it with: make release make publish"},{"ref":"readme.html#license","title":"MetaLogger - License","type":"extras","doc":"meta_logger source code is released under Apache 2 License. Check the LICENSE file for more information."},{"ref":"changelog.html","title":"Changelog","type":"extras","doc":"Changelog All notable changes to this project will be documented in this file. The format is based on Keep a Changelog, and this project adheres to Semantic Versioning."},{"ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras","doc":""},{"ref":"changelog.html#1-1-0-2020-12-16","title":"Changelog - 1.1.0 - 2020-12-16","type":"extras","doc":"Added Add Tesla middleware to log requests and responses. Changed Moved from Travis CI to GitHub Actions."},{"ref":"changelog.html#1-0-0-2020-07-14","title":"Changelog - 1.0.0 - 2020-07-14","type":"extras","doc":"Changed Changes the required version of Elixir from 1.9 to 1.10. Fixed Gets logger metadata from the correct process dictionary key. Elixir 1.10 uses Erlang logger metadata."},{"ref":"changelog.html#0-1-0-2019-09-13","title":"Changelog - 0.1.0 - 2019-09-13","type":"extras","doc":"Added Keep logger metadata from caller processes."}]